package cn.reghao.tnb.content.app.exam.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.content.app.exam.model.po.PaperQuestion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2024-08-28 09:21:25
 */
@Mapper
public interface PaperQuestionMapper extends BaseMapper<PaperQuestion> {
    void deleteByPaperId(int paperId);
    List<PaperQuestion> findByPaperId(int paperId);
    PaperQuestion findPaperQuestion(@Param("paperId") int paperId, @Param("questionId") long questionId);
    @Deprecated
    List<PaperQuestion> findByPaperIdAndPid(@Param("paperId") int paperId, @Param("pid") long pid);
}
